/* modify compiler type flag to match specific compiler */

#ifndef CBTRDEF_H   /* prevent multiple inclusion */
#define CBTRDEF_H 1

  /*******************************/
 /* Step One: Choose a compiler */
/*******************************/
#define MX     0     /* Aztec C                       */
#define MXVER  340

#define TC     0     /* Borland's TURBO C             */
#define TCVER  100

#define CI     0     /* Computer Innovations C86      */
#define CIVER  230

#define DC     0     /* Desmet C                      */
#define DCVER  250

#define LC     0     /* Lattice C                     */
#define LCVER  310   /* version number */

#define MW     0     /* Mark Williams C               */
#define MWVER  311

#define MS     1     /* Microsoft C                   */
#define MSVER  300

#define EC     0     /* Ecosoft C                     */
#define ECVER  201

#if ((TC + LC + MS + MX + MW + CI + DC + EC) != 1)
cbtrdef_1_error;      /* will generate an error */
#endif

  /****************************************/
 /* Step Two: Choose an Operating System */
/****************************************/
#ifndef MSDOS           /* Lattice pre-defines this */
#define MSDOS    1
#endif
#define AmigaDOS 0
#define XENIX    0      /* Unix, etc */

#if ((MSDOS + AmigaDOS + XENIX) != 1)
cbtrdef_2_error;   /* select only ONE operating system */
#endif

  /**********************************/
 /* Step Three: Choose a processor */
/**********************************/
#define I808x   1   /* Intel 8086 family */
#define M680x0  0   /* Motorola 68000 family */

#if ((I808x + M680x0) != 1)
cbtrdef_3_error;    /* select only ONE processor */
#endif

      /*******************************************************************/
     /*                                                                 */
    /* The following should NOT be modified by application programmer. */
   /* Please notify Peacock Systems if compiler incompatibility is    */
  /* discovered.  Phone (703) 847 - 1743.                            */
 /*                                                                 */
/*******************************************************************/

#if I808x
#define LOHI    1    /* low-byte high-byte order */
#define NOALIGN 1    /* no alignment is required */
#endif

#if M680x0
#define LOHI    0
#define NOALIGN 0
#endif

/* DEH 10/16/87 */
#if (AmigaDOS & LC) | (AmigaDOS & MX)
#define uword unsigned short
#else
#define uword unsigned
#endif

#if CI
#define atol atoi
#endif

#if LC | CI | EC
#define FREE(p)  free(p),(p) = NULL
#else
#define FREE(p)  free(p),(char *)(p) = NULL
#endif

#if MSDOS & ((LC & (LCVER < 300)) | CI)
#define void int
#endif

#if AmigaDOS
#define PRINTER "PRT:"
#endif
#if MSDOS
#define PRINTER "prn"
#endif
#if XENIX
#define PRINTER "/dev/lp"
#endif

#if AmigaDOS
#define scr_clr() printf("\14");
#endif
#if MSDOS
#define scr_clr() printf("\33[2J");
#endif
#if XENIX
#define scr_clr() printf("\033*");
#endif

#if XENIX
#define scr_curs(y,x)   printf("\33=%c%c", (y)+' ', (x)+' ')   /* mv cur */
#endif
#if MSDOS | AmigaDOS
#define scr_curs(r,c)   printf("\33[%d;%dH", (r)+1, (c)+1) /* move cursor */
#endif

#if AmigaDOS
#define PRE_EXTEND 0    /* normally set to 0 */
                        /* set to 1 if you want your data records and */
                        /* index tree in the SAME file. */
#endif

#if AmigaDOS
#if LC
#define wopen(s) {int _s_f;freopen(s,"r+",stdout);_s_f=stdin->_file;stdin->_file=stdout->_file
#define wclose() printf("\n  Press <RETURN> ... ");getchar();freopen("*","w",stdout);stdin->_file=_s_f;}
#endif
/* DEH 10/20/87 */
#if MX
#define wopen(s) {int _s_f;freopen(s,"r+",stdout);_s_f=stdin->_unit;stdin->_unit=stdout->_unit
#define wclose() printf("\n  Press <RETURN> ... ");getchar();freopen("*","w",stdout);stdin->_unit=_s_f;}
#endif
#else
#define wopen(s)
#define wclose()
#endif

#endif /* CBTRDEF_H */
